Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Sep 2022 16:08:40 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 07 Sep 2022 14:47:37 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If you let it finish, i.e. wait until list-processes shows an empty
> > buffer, it won't start these compilations in the next invocations.  At
> > least that's what happens to me.
> 
> It's not what happens to me.  Every time I start Emacs (not -Q), it
> says:
> 
> ---
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-loaddefs.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/net/tramp-loaddefs.el...
> Compilation finished.
> ---
> 
> > Btw, is that a GUI session or a -nw session?
> 
> GUI.

Then maybe it's a different issue than what I see here.  Since this is
not a -Q session, I don't know what you load there.  Suggest to start
Emacs under GDB with a breakpoint in Fload, and see what are we
loading that leads to those two.

In general, if you let Emacs native-compile everything it loads at
startup, the next startup it will not need to compile anything, since
the *.eln files are already available.  So if anything still tries to
load and thus native-compile those *-loaddefs files should be the
stuff you load itself, not the compilation infrastructure.

OTOH, I don't see a problem in Emacs starting an async compilation
that ends up not compiling anything.  It runs in the background, so I
don't think it interferes with anything?